<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}

	$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));
	
	include("connect.php");
	include("mylibrary.php");

	//$umid=$_SESSION['umid'];
	       $dname=checkvalidstring($_POST['departmentname']);
		 $eve = "select * from res_department_master where departmentname='$dname'";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "Department Already Inserted.";
		header('Location: department.php');
	}
	else
	{	
			 $eve1 = "INSERT INTO res_department_master(departmentname)VALUES('$dname')";
				
			
			$re1 = mysqli_query($conn, $eve1);
			$last_id = $conn->insert_id;
	
			
		
		$_SESSION['msg'] = "Record saved successfully";
		header('Location: department.php');
	}
	
?>